Subject: openbsc.git branch master updated. 0.13.0-42-gb0bf1da
From: [email-masked]
To: [email-masked]
Date: Wed, 12 Jun 2013 07:35:54 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The OpenBSC GSM Base Station Controller (+MSC/HLR/SGSN)".

The branch, master has been updated
  discards  463b04ed9a74b14fa9e23563611a7aa652fe6535 (commit)
       via  b0bf1da4c87f1ab3f9367bbeea615dc86d13131c (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (463b04ed9a74b14fa9e23563611a7aa652fe6535)
            \
             N -- N -- N (b0bf1da4c87f1ab3f9367bbeea615dc86d13131c)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/openbsc/commit/?id=b0bf1da4c87f1ab3f9367bbeea615dc86d13131c

commit b0bf1da4c87f1ab3f9367bbeea615dc86d13131c
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Wed Jun 12 09:22:07 2013 +0200

    smpp: Only write the systemd-id if it is not empty
    
    system_id is a char array, which makes the NULL check a tautology,
    so we should check with strlen if the string is empty or not.
    
    This is fixing the "write" command of VTY that would otherwise
    create a config file that can not be parsed.

-----------------------------------------------------------------------

Summary of changes:
 openbsc/src/libmsc/smpp_vty.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

hooks/post-receive
-- 
The OpenBSC GSM Base Station Controller (+MSC/HLR/SGSN)